/*
 * StringBufferPoolFactory.java
 *
 * Created on January 17, 2003, 3:58 PM
 */

package com.divnull.util;

import java.lang.StringBuffer;
import org.apache.commons.pool.BaseKeyedPoolableObjectFactory;

/** A helper class that serves <code>KeyedPoolableObjectFactory</code>
 * in association with the {@link StringBufferPool} to serve up objects for 
 * a pool of string buffers.
 *
 * @author  Wordman
 * @see StringBufferPool
 * @see SBPool
 */
public class StringBufferPoolableObjectFactory extends BaseKeyedPoolableObjectFactory
{
    
    /** Creates a new instance of StringBufferPoolFactory */
    public StringBufferPoolableObjectFactory()
    {
    }
    
   /**
    * @see org.apache.commons.pool.KeyedPoolableObjectFactory#makeObject(Object)
    */
    public Object makeObject(Object key) throws java.lang.Exception
    {
        Integer size = (Integer)key;
        StringBuffer buffer = new StringBuffer(size.intValue());
        return buffer;
    }
    
   /**
    * Uninitialize an instance to be returned to the pool.
    * @param obj the instance to be passivated
    */
    public void passivateObject(Object key,Object obj) throws java.lang.Exception
    {
        StringBuffer buffer = (StringBuffer)obj;
        buffer.setLength(0);
    }

}
